#include <stdio.h>

extern	char *environ;

char *getenv(char *name)
{
char c,*env,*name0;
	env=environ;
	while ((*env)!=0) {
		name0=name;
		while ((c=*env++)!='=') {
			if (*name0++!=c) { /* 不一致 */
				while (*env++!=0); /* EOSまでスキップ */
				break;
			}
		}
		if (c=='=') return(env);
	}
	return(NULL);
}
